

<table class="diary-times">
	<thead>
		<tr>
			<td colspan="3" class="text-center"><?php echo __d('buzz_diary_accounts', 'Times available for %s', $this->Time->i18nFormat($date, '%e %B %Y')); ?></td>
		</tr>
		<tr class="diary-notifications">
			<td colspan="3">
				<?php
					echo $this->Form->create(null, array('url' => array('action' => 'update_notifications', 'plugin' => 'buzz_diary_accounts')));
					echo $this->Form->input(
						'notifications',
						array(
							'type' => 'checkbox',
							'label' => __d('buzz_diary_accounts', 'Please email me if more slots on this day become available'),
							'div' => array(
								'class' => 'input checkbox checkbox--custom checkbox--left'
								)
							)
					);
					echo $this->Form->hidden('date');
					echo $this->Form->end();
				?>
			</td>
		</tr>
	</thead>
	<tbody>
	<?php
		$template = null;
		foreach ($data as $time => $slot) {

			$statusClass = 'rotations';
			if (!empty($slot['bookings']) && $slot['my_time'] === $slot['duration']) {
				$statusClass = 'no-rotations';
			} elseif (count($slot['bookings']) === 1 && $slot['available_time'] > 0 && $slot['my_time'] > 0) {
				$statusClass = 'rotations-unconfirmed';
			}

			$class = [];

			$duration = $slot['duration'] / 60;
			$timeSlot = $slot['time'];

			if ($slot['available']===false && $slot['my_time'] === 0) {

				$text = !empty($slot['description']) ? __d('buzz_diary_accounts', '%s (%s booked)', array($slot['description'], $slot['percentage_used'])) : __d('buzz_diary_accounts', 'Not Available');

				echo $this->Html->tag('tr',
					$this->Html->tag('td', $timeSlot, ['class' => 'diary-times__col--time'])
					. $this->Html->tag('td', $text, ['class' => 'diary-times__col--wide-status', 'colspan' => 2]),
					['style' => "min-height:{$duration}px"]
				);

			} else {

				$slotTime = $slot['duration'];

				if (!empty($slot['bookings'])) {

					foreach ($slot['bookings'] as $bookingRef => $booking) {

						if ($booking['mine'] === true) {

							$duration = $booking['duration'] / 60;

							$slotTime -= $booking['duration'];

							$class = [];
							$class[] = 'your-booking';
							$class[] = $statusClass;

							$text = __d('buzz_diary_accounts', '%d Minutes Booked', $booking['duration']/60);

							$cancel = '&nbsp;';
							if ($slot['booked']===true && $time > time()) {
								$cancel = $this->Html->link(
									'Cancel',
									['action' => 'cancel', $bookingRef],
									['class' => 'js-cancel-booking',
									'data-toggle' => 'modal',
									'data-target' => '#genericModal'
									]
								);
							}

							echo $this->Html->tag('tr',
								$this->Html->tag('td', $timeSlot?:'&nbsp;', ['class' => 'diary-times__col--time'])
								. $this->Html->tag('td', $text, ['class' => 'diary-times__col--status'])
								. $this->Html->tag('td', $cancel, ['class' => 'diary-times__col--actions']),
								['class' => implode(' ', $class), 'style' => "min-height:{$duration}px"]
							);

							$timeSlot = null;

						}

					}

				}

				if ($slot['available_time'] > 0 && $slot['available'] === true) {

					$duration = $slot['available_time'] / 60;

					$class = [];
					$class[] = 'available';
					$class[] = $statusClass;

					$mins = $slot['available_time']/60;

					$text = __d('buzz_diary_accounts', 'Available') . ': '
						. __d('buzz_diary_accounts', '%d Minutes', $mins) . ($slot['peak']===true ? ' ' . __d('buzz_diary_accounts', '(PEAK)') : '');
					$text = $this->Html->link(
						$text,
						['action' => 'book', $slot['timestamp']],
						['class' => 'js-select-time',
						'data-toggle' => 'modal',
						'data-target' => '#genericModal'
						]
					);

					echo $this->Html->tag('tr',
						$this->Html->tag('td', $timeSlot?:'&nbsp;', ['class' => 'diary-times__col--time'])
						. $this->Html->tag('td', $text, ['class' => 'diary-times__col--wide-status', 'colspan' => 2]),
						['class' => implode(' ', $class), 'style' => "min-height:{$duration}px"]
					);

					$timeSlot = null;

				}

				if (!empty($slot['bookings']) && $slot['duration'] - $slot['available_time'] > $slot['my_time']) {

					$text = __d('buzz_diary_accounts', '%d Minutes Booked by Others', ($slot['duration'] - $slot['available_time'] - $slot['my_time'])/60);

					$statusClass = $slot['available'] === true || $slot['my_time'] > 0 ? $statusClass : null;

					$duration = $slot['duration'] - $slot['available_time'] - $slot['my_time'];
					$duration /= 60;

					echo $this->Html->tag('tr',
						$this->Html->tag('td', $timeSlot?:'&nbsp;', ['class' => 'diary-times__col--time'])
						. $this->Html->tag('td', $text, ['class' => 'diary-times__col--wide-status', 'colspan' => 2]),
						['class' => $statusClass, 'style' => "min-height:{$duration}px"]
					);

					$timeSlot = null;

				}

			}

		}
	?>
	</tbody>
</table>
